## LassoSamlAdvice

LassoSamlAdvice — <saml:Advice>

## Functions

LassoNode * | lasso_saml_advice_new ()

## Types and Values

struct | LassoSamlAdvice

## Description

Figure 23. Schema fragment for saml:Advice

    <element name="Advice" type="saml:AdviceType"/>
    <complexType name="AdviceType">
      <choice minOccurs="0" maxOccurs="unbounded">
        <element ref="saml:AssertionIDReference"/>
        <element ref="saml:Assertion"/>
        <any namespace="##other" processContents="lax"/>
      </choice>
    </complexType>

    <element name="AssertionIDReference" type="saml:IDReferenceType"/>
    <simpleType name="IDReferenceType">
      <restriction base="string"/>
    </simpleType>

## Functions

### lasso_saml_advice_new ()

    LassoNode *
    lasso_saml_advice_new (void);

Creates a new LassoSamlAdvice object.

#### Returns

a newly created LassoSamlAdvice

## Types and Values

### struct LassoSamlAdvice

    struct LassoSamlAdvice {
    	LassoNode parent;

    	/* <element ref="saml:AssertionIDReference"/> */
    	GList *AssertionIDReference; /* of LassoNode */
    	/* <element ref="saml:Assertion"/> */
    	struct _LassoSamlAssertion *Assertion;
    };